Subject: Re: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 May 2014 19:23:20 +0300

> Date: Wed, 28 May 2014 07:26:49 -0700
> From: Paul Eggert <[email-masked]>
> Cc: [email-masked]
> 
> Unfortunately AIX uses the relocating allocator in ralloc.c, not the 
> system malloc

Does it?  The backtrace Gilles posted, viz.:

> (gdb) where
> #0  0xd013d94c in rightmost () from /usr/lib/libc.a(shr.o)
> #1  0xd013eb28 in free_y () from /usr/lib/libc.a(shr.o)
> #2  0xd0129a74 in free_common () from /usr/lib/libc.a(shr.o)
> #3  0xd11ff294 in XFreeFontNames@AF6_3 () from /usr/lib/libX11.a(shr4.o)
> #4  0x1028a04c in xfont_list_pattern (display=0x20837f98, 
>     pattern=0x2ff1da48 "-misc-fixed-*-*-*--*-*-*-*-*-*-iso8859-1", 
>     registry=542476962, script=1210196514) at xfont.c:142

doesn't seem to have gmalloc and ralloc functions anywhere in sight,
it looks like a call to 'free' in the system libc to me.  Am I missing
something?